Up

# NSInputManager class documentation

### Authors

Generated by root

### Contents -

1. Software documentation for the NSInputManager class
2. Software documentation for the NSTextInput protocol

# Software documentation for the NSInputManager class

## NSInputManager : NSObject

> Declared in:
>   AppKit/NSInputManager.h

> Conforms to:
>   NSTextInput

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- +currentInputManager
- +describeKeyStroke:withModifiers:
- +parseKey:intoCharacter:andModifiers:
- -handleKeyboardEvents:client:
- -handleMouseEvent:
- -initWithName:host:
- -language
- -loadBindingsFromFile:
- -localizedInputManagerName
- -markedTextAbandoned:
- -markedTextSelectionChanged:client:
- -quoteNextKeyStroke
- -resetInternalState
- -wantsToDelayTextChangeNotifications
- -wantsToHandleMouseEvents
- -wantsToInterpretAllKeystrokes

### currentInputManager

+ (NSInputManager*) currentInputManager;
Availability: OpenStep
Description forthcoming.

### describeKeyStroke: withModifiers:

+ (NSString*) describeKeyStroke: (unichar)character withModifiers: (unsigned int)modifiers;
Availability: OpenStep
Description forthcoming.

### parseKey: intoCharacter: andModifiers:

+ (BOOL) parseKey: (NSString*)key intoCharacter: (unichar*)character andModifiers: (unsigned int*)modifiers;
Availability: OpenStep
Description forthcoming.

### handleKeyboardEvents: client:

- (void) handleKeyboardEvents: (NSArray*)eventArray client: (id)client;
Availability: OpenStep
Description forthcoming.

### handleMouseEvent:

- (BOOL) handleMouseEvent: (NSEvent*)theMouseEvent;
Availability: OpenStep
Description forthcoming.

### initWithName: host:

- (NSInputManager*) initWithName: (NSString*)inputServerName host: (NSString*)hostName;
Availability: OpenStep
Description forthcoming.

### language

- (NSString*) language;
Availability: OpenStep
Description forthcoming.

### loadBindingsFromFile:

- (void) loadBindingsFromFile: (NSString*)fullPath;
Availability: OpenStep
Description forthcoming.

### localizedInputManagerName

- (NSString*) localizedInputManagerName;
Availability: OpenStep
Description forthcoming.

### markedTextAbandoned:

- (void) markedTextAbandoned: (id)client;
Availability: OpenStep
Description forthcoming.

### markedTextSelectionChanged: client:

- (void) markedTextSelectionChanged: (NSRange)newSel client: (id)client;
Availability: OpenStep
Description forthcoming.

### quoteNextKeyStroke

- (void) quoteNextKeyStroke;
Availability: OpenStep
Description forthcoming.

### resetInternalState

- (void) resetInternalState;
Availability: OpenStep
Description forthcoming.

### wantsToDelayTextChangeNotifications

- (BOOL) wantsToDelayTextChangeNotifications;
Availability: OpenStep
Description forthcoming.

### wantsToHandleMouseEvents

- (BOOL) wantsToHandleMouseEvents;
Availability: OpenStep
Description forthcoming.

### wantsToInterpretAllKeystrokes

- (BOOL) wantsToInterpretAllKeystrokes;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSInputManager Class

### _abortCharacter

@protected unichar _abortCharacter;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _abortFlags

@protected unsigned int _abortFlags;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _currentBindingTable

@protected GSKeyBindingTable* _currentBindingTable;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _currentClient

@protected id _currentClient;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _insertControlKeystrokes

@protected BOOL _insertControlKeystrokes;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _interpretNextKeyStrokeLiterally

@protected BOOL _interpretNextKeyStrokeLiterally;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _pendingKeyEvents

@protected NSMutableArray* _pendingKeyEvents;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _rootBindingTable

@protected GSKeyBindingTable* _rootBindingTable;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSTextInput protocol

## NSTextInput

> Declared in:
>   AppKit/NSInputManager.h

Availability: OpenStep
Description forthcoming.
Method summary

- -attributedSubstringFromRange:
- -characterIndexForPoint:
- -conversationIdentifier
- -doCommandBySelector:
- -firstRectForCharacterRange:
- -hasMarkedText
- -insertText:
- -markedRange
- -selectedRange
- -setMarkedText:selectedRange:
- -unmarkText
- -validAttributesForMarkedText

### attributedSubstringFromRange:

- (NSAttributedString*) attributedSubstringFromRange: (NSRange)theRange;
Availability: OpenStep
Description forthcoming.

### characterIndexForPoint:

- (unsigned int) characterIndexForPoint: (NSPoint)thePoint;
Availability: OpenStep
Description forthcoming.

### conversationIdentifier

- (long) conversationIdentifier;
Availability: OpenStep
Description forthcoming.

### doCommandBySelector:

- (void) doCommandBySelector: (SEL)aSelector;
Availability: OpenStep
Description forthcoming.

### firstRectForCharacterRange:

- (NSRect) firstRectForCharacterRange: (NSRange)theRange;
Availability: OpenStep
Description forthcoming.

### hasMarkedText

- (BOOL) hasMarkedText;
Availability: OpenStep
Description forthcoming.

### insertText:

- (void) insertText: (id)aString;
Availability: OpenStep
Description forthcoming.

### markedRange

- (NSRange) markedRange;
Availability: OpenStep
Description forthcoming.

### selectedRange

- (NSRange) selectedRange;
Availability: OpenStep
Description forthcoming.

### setMarkedText: selectedRange:

- (void) setMarkedText: (id)aString selectedRange: (NSRange)selRange;
Availability: OpenStep
Description forthcoming.

### unmarkText

- (void) unmarkText;
Availability: OpenStep
Description forthcoming.

### validAttributesForMarkedText

- (NSArray*) validAttributesForMarkedText;
Availability: OpenStep
Description forthcoming.

Up